<? $cols = 7 ?>
<div class="rcol">
	<table class="tours">
		<tr>
			<th style="width: 0"><input type="checkbox" id="check-all" onclick="var t = $(this).getParent('table').getElements('input[type=checkbox]'); t.set('checked', $(this).get('checked'))" /></th>
			<? if ( $this->is_agency ): $cols++ ?>
			<th><?= $this->t('showname') ?></th>
			<? endif ?>
			<th><?= $this->t('city') ?></th>
			<th><?= $this->t('from_date') ?></th>
			<th><?= $this->t('to_date') ?></th>
			<? /*<th><?= $this->t('tour_phone') ?></th>
			<th><?= $this->t('tour_email') ?></th>*/ ?>
			<th><?= $this->t('edit') ?></th>
		</tr>
		<? if ( ! count($this->tours) ): ?>
		<tr class="odd">
			<td colspan="<?= $cols ?>"><span class="strong"><?= $this->t('no_tours') ?></span></td>
		</tr>
		<? else: ?>
		<? $c = false; foreach ( $this->tours as $tour ): $c = !$c ?>
		<tr<?= $c ? ' class="odd"' : '' ?>>
			<td><input type="checkbox" name="tours[]" value="<?= $tour['id'] ?>" />
			<? if ( $this->is_agency ): ?>
			<td><?= $tour['showname'] ?></td>
			<? endif ?>
			<td><?= $tour['city'] ?></td>
			<td><?= date('d M Y , H:i', ($tour['date_from'] + $tour['minutes_from'] * 60 ))  ?></td>
			<td><?= date('d M Y , H:i', ($tour['date_to'] + $tour['minutes_to'] * 60 )); ?></td>
			<? /*<td><?= $tour['phone'] ?></td>
			<td><?= $tour['email'] ?></td>*/ ?>
			<td><a href="#" onclick="ShowEditPopup(<?= $tour['id'] ?>)"><img src="<?= _st('_/btn_edit-tour.gif') ?>" /></a>
		</tr>
		<? endforeach ?>
		<? endif ?>
	</table>

	<? if ( count($this->tours) ): ?>
	<a id="btn-delete" class="styled-button" href="#" onclick="DeleteTours(); return false"><span><?= $this->t('delete_selected_tours') ?></span></a>
	<div class="clear"></div>
	<? endif ?>
	<? if( isset($this->count)):?>
	<div class="ajax">
	<? $pages_count = ceil($this->count / $this->per_page); ?>
		<? if( $pages_count != 1 ): ?>
			<p>
				<? $pages = $this->paging($this->count, $this->page, $this->per_page); ?>
				<? if ( 1 < $this->page): ?>
				<a class="prev" href="#<?= ( $this->page - 1) ?>" onclick="return PageNewTours(this)"></a>
				<? endif ?>

				<? foreach ( $pages as $page ): ?>

					<? if ( $this->page == $page ): ?>
					<span><?= $page ?></span>
					<? else: ?>
					<a class="p" href="#<?= $page ?>" onclick="return PageNewTours(this)"><?= $page ?></a>
					<? endif ?>

				<? endforeach ?>

				<? if ($this->page < $pages_count - 2 && end($pages) < $pages_count): ?>
				...
				<a class="p" href="#<?= $page ?>" onclick="return PageNewTours(this)"><?= $pages_count ?></a>
				<? endif; ?>

				<? if ( $pages_count > $this->page): ?>
				<a class="next" href="#<?= ( $this->page + 1) ?>" onclick="return PageNewTours(this)"></a>
				<? endif ?>
			</p>

		<? endif; ?>
	</div>
   <? endif;?>
</div>
